/*
 *    VisNow
 *    Copyright (C) 2006-2019 University of Warsaw, ICM
 *    Copyright (C) 2020 onward visnow.org
 *    All rights reserved. 
 *
 *  This file is part of GNU Classpath.
 *
 *  GNU Classpath is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  GNU Classpath is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Classpath; see the file COPYING.  If not, write to the
 *  University of Warsaw, Interdisciplinary Centre for Mathematical and
 *  Computational Modelling, Pawinskiego 5a, 02-106 Warsaw, Poland.
 *
 *  Linking this library statically or dynamically with other modules is
 *  making a combined work based on this library.  Thus, the terms and
 *  conditions of the GNU General Public License cover the whole
 *  combination.
 *
 *  As a special exception, the copyright holders of this library give you
 *  permission to link this library with independent modules to produce an
 *  executable, regardless of the license terms of these independent
 *  modules, and to copy and distribute the resulting executable under
 *  terms of your choice, provided that you also meet, for each linked
 *  independent module, the terms and conditions of the license of that
 *  module.  An independent module is a module which is not derived from
 *  or based on this library.  If you modify this library, you may extend
 *  this exception to your version of the library, but you are not
 *  obligated to do so.  If you do not wish to do so, delete this
 *  exception statement from your version.
 */
 
package org.visnow.vn.lib.basic.utilities.Integration;

/**
 *
 ** @author Krzysztof S. Nowinski, University of Warsaw ICM
 */
public class ResultsFrame extends javax.swing.JFrame
{

    /**
     * Creates new form ResultsFrame
     */
    public ResultsFrame()
    {
        initComponents();
    }

    /**
     * This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        java.awt.GridBagConstraints gridBagConstraints;

        jPanel1 = new javax.swing.JPanel();
        componentsBox = new javax.swing.JComboBox();
        logBox = new javax.swing.JCheckBox();
        valLabel = new javax.swing.JLabel();
        valMinLabel = new javax.swing.JLabel();
        valMaxLabel = new javax.swing.JLabel();
        valALabel = new javax.swing.JLabel();
        valSDLabel = new javax.swing.JLabel();
        vMinLabel = new javax.swing.JLabel();
        vMaxLabel = new javax.swing.JLabel();
        vMeanLabel = new javax.swing.JLabel();
        vSDLabel = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        valHistoPanel = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        fieldNameLabel = new javax.swing.JLabel();
        dSDLabel = new javax.swing.JLabel();
        dMeanLabel = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jPanel1.setName("jPanel1"); // NOI18N
        jPanel1.setLayout(new java.awt.GridBagLayout());

        componentsBox.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        componentsBox.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        componentsBox.setName("componentsBox"); // NOI18N
        componentsBox.addItemListener(new java.awt.event.ItemListener() {
            public void itemStateChanged(java.awt.event.ItemEvent evt) {
                componentsBoxItemStateChanged(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.gridheight = 2;
        gridBagConstraints.ipadx = 75;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 1, 0, 0);
        jPanel1.add(componentsBox, gridBagConstraints);

        logBox.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        logBox.setText("log scale");
        logBox.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        logBox.setMargin(new java.awt.Insets(0, 0, 0, 0));
        logBox.setName("logBox"); // NOI18N
        logBox.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                logBoxActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(9, 23, 0, 0);
        jPanel1.add(logBox, gridBagConstraints);

        valLabel.setFont(new java.awt.Font("Dialog", 0, 10)); // NOI18N
        valLabel.setText("values");
        valLabel.setName("valLabel"); // NOI18N
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.ipadx = 34;
        gridBagConstraints.ipady = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(7, 1, 0, 0);
        jPanel1.add(valLabel, gridBagConstraints);

        valMinLabel.setFont(new java.awt.Font("Dialog", 0, 10)); // NOI18N
        valMinLabel.setText("min");
        valMinLabel.setName("valMinLabel"); // NOI18N
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.ipadx = 57;
        gridBagConstraints.ipady = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(7, 0, 0, 0);
        jPanel1.add(valMinLabel, gridBagConstraints);

        valMaxLabel.setFont(new java.awt.Font("Dialog", 0, 10));
        valMaxLabel.setText("max");
        valMaxLabel.setName("valMaxLabel"); // NOI18N
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.ipadx = 54;
        gridBagConstraints.ipady = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        jPanel1.add(valMaxLabel, gridBagConstraints);

        valALabel.setFont(new java.awt.Font("Dialog", 0, 10)); // NOI18N
        valALabel.setText("mean");
        valALabel.setName("valALabel"); // NOI18N
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.ipadx = 48;
        gridBagConstraints.ipady = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        jPanel1.add(valALabel, gridBagConstraints);

        valSDLabel.setFont(new java.awt.Font("Dialog", 0, 10)); // NOI18N
        valSDLabel.setText("std. dev.");
        valSDLabel.setName("valSDLabel"); // NOI18N
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.ipadx = 34;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        jPanel1.add(valSDLabel, gridBagConstraints);

        vMinLabel.setFont(new java.awt.Font("Dialog", 0, 10)); // NOI18N
        vMinLabel.setText(" ");
        vMinLabel.setMaximumSize(new java.awt.Dimension(100, 15));
        vMinLabel.setMinimumSize(new java.awt.Dimension(50, 15));
        vMinLabel.setName("vMinLabel"); // NOI18N
        vMinLabel.setPreferredSize(new java.awt.Dimension(80, 15));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.ipadx = 61;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(7, 0, 0, 74);
        jPanel1.add(vMinLabel, gridBagConstraints);

        vMaxLabel.setFont(new java.awt.Font("Dialog", 0, 10));
        vMaxLabel.setText(" ");
        vMaxLabel.setMaximumSize(new java.awt.Dimension(100, 15));
        vMaxLabel.setMinimumSize(new java.awt.Dimension(50, 15));
        vMaxLabel.setName("vMaxLabel"); // NOI18N
        vMaxLabel.setPreferredSize(new java.awt.Dimension(80, 15));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.ipadx = 61;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 0, 0, 74);
        jPanel1.add(vMaxLabel, gridBagConstraints);

        vMeanLabel.setFont(new java.awt.Font("Dialog", 0, 10)); // NOI18N
        vMeanLabel.setText(" ");
        vMeanLabel.setMaximumSize(new java.awt.Dimension(100, 15));
        vMeanLabel.setMinimumSize(new java.awt.Dimension(50, 15));
        vMeanLabel.setName("vMeanLabel"); // NOI18N
        vMeanLabel.setPreferredSize(new java.awt.Dimension(80, 15));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.ipadx = 61;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 0, 0, 74);
        jPanel1.add(vMeanLabel, gridBagConstraints);

        vSDLabel.setFont(new java.awt.Font("Dialog", 0, 10)); // NOI18N
        vSDLabel.setText(" ");
        vSDLabel.setName("vSDLabel"); // NOI18N
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.ipadx = 108;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 0, 0, 74);
        jPanel1.add(vSDLabel, gridBagConstraints);

        jLabel7.setFont(new java.awt.Font("Dialog", 0, 10)); // NOI18N
        jLabel7.setText("value histogram");
        jLabel7.setName("jLabel7"); // NOI18N
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.ipadx = 62;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(4, 1, 0, 0);
        jPanel1.add(jLabel7, gridBagConstraints);

        valHistoPanel.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        valHistoPanel.setMinimumSize(new java.awt.Dimension(180, 200));
        valHistoPanel.setName("valHistoPanel"); // NOI18N
        valHistoPanel.setPreferredSize(new java.awt.Dimension(200, 200));
        valHistoPanel.setLayout(new java.awt.BorderLayout());
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 10;
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.ipadx = 71;
        gridBagConstraints.ipady = 248;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(1, 1, 0, 74);
        jPanel1.add(valHistoPanel, gridBagConstraints);

        jPanel2.setMinimumSize(new java.awt.Dimension(100, 60));
        jPanel2.setName("jPanel2"); // NOI18N
        jPanel2.setPreferredSize(new java.awt.Dimension(100, 75));
        jPanel2.setLayout(new java.awt.GridBagLayout());

        fieldNameLabel.setFont(new java.awt.Font("Dialog", 0, 10)); // NOI18N
        fieldNameLabel.setName("fieldNameLabel"); // NOI18N
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(0, 0, 5, 0);
        jPanel2.add(fieldNameLabel, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.gridheight = 2;
        gridBagConstraints.ipadx = 151;
        gridBagConstraints.ipady = 15;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 1, 0, 74);
        jPanel1.add(jPanel2, gridBagConstraints);

        dSDLabel.setFont(new java.awt.Font("Dialog", 0, 10));
        dSDLabel.setName("dSDLabel"); // NOI18N
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        jPanel1.add(dSDLabel, gridBagConstraints);

        dMeanLabel.setFont(new java.awt.Font("Dialog", 0, 10));
        dMeanLabel.setText(" ");
        dMeanLabel.setName("dMeanLabel"); // NOI18N
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.ipadx = 108;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 0, 0, 74);
        jPanel1.add(dMeanLabel, gridBagConstraints);

        getContentPane().add(jPanel1, java.awt.BorderLayout.CENTER);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void componentsBoxItemStateChanged(java.awt.event.ItemEvent evt)//GEN-FIRST:event_componentsBoxItemStateChanged
    {//GEN-HEADEREND:event_componentsBoxItemStateChanged
        //      show(componentsBox.getSelectedIndex());
    }//GEN-LAST:event_componentsBoxItemStateChanged

    private void logBoxActionPerformed(java.awt.event.ActionEvent evt)//GEN-FIRST:event_logBoxActionPerformed
    {//GEN-HEADEREND:event_logBoxActionPerformed
        //      show(componentsBox.getSelectedIndex());
    }//GEN-LAST:event_logBoxActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[])
    {
        java.awt.EventQueue.invokeLater(new Runnable()
        {

            public void run()
            {
                new ResultsFrame().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JComboBox componentsBox;
    private javax.swing.JLabel dMeanLabel;
    private javax.swing.JLabel dSDLabel;
    private javax.swing.JLabel fieldNameLabel;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JCheckBox logBox;
    private javax.swing.JLabel vMaxLabel;
    private javax.swing.JLabel vMeanLabel;
    private javax.swing.JLabel vMinLabel;
    private javax.swing.JLabel vSDLabel;
    private javax.swing.JLabel valALabel;
    private javax.swing.JPanel valHistoPanel;
    private javax.swing.JLabel valLabel;
    private javax.swing.JLabel valMaxLabel;
    private javax.swing.JLabel valMinLabel;
    private javax.swing.JLabel valSDLabel;
    // End of variables declaration//GEN-END:variables
}
